Bug 2041479 (CVE-2022-21277) - CVE-2022-21277 OpenJDK: Incorrect reading of TIFF files in TIFFNullDecompressor (ImageIO, 8270952)
Summary: CVE-2022-21277 OpenJDK: Incorrect reading of TIFF files in TIFFNullDecompress...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-21277
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2039391 2039393 2039394 2039588 2040423 2040424 2040425 2040813
Blocks: 2039369
TreeView+ depends on / blocked
 
Reported: 2022-01-17 13:06 UTC by Tomas Hoger
Modified: 2022-01-26 15:19 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-24 14:00:41 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0161 0 None None None 2022-01-19 09:12:38 UTC
Red Hat Product Errata RHSA-2022:0165 0 None None None 2022-01-24 11:40:42 UTC
Red Hat Product Errata RHSA-2022:0166 0 None None None 2022-01-24 11:39:36 UTC
Red Hat Product Errata RHSA-2022:0185 0 None None None 2022-01-24 09:44:51 UTC
Red Hat Product Errata RHSA-2022:0204 0 None None None 2022-01-24 10:11:21 UTC
Red Hat Product Errata RHSA-2022:0209 0 None None None 2022-01-24 09:42:25 UTC
Red Hat Product Errata RHSA-2022:0211 0 None None None 2022-01-24 09:47:14 UTC
Red Hat Product Errata RHSA-2022:0228 0 None None None 2022-01-24 13:03:20 UTC
Red Hat Product Errata RHSA-2022:0229 0 None None None 2022-01-24 13:04:27 UTC
Red Hat Product Errata RHSA-2022:0233 0 None None None 2022-01-24 09:39:14 UTC

Description Tomas Hoger 2022-01-17 13:06:45 UTC
A flaw was found in the way the TIFFNullDecompressor class implementation in the ImageIO component of OpenJDK performed reading of uncompressed TIFF files. A specially-crafted TIFF image could cause the decompressor to create image objects with an inconsistent state due to failure to fully read the image.

Comment 1 Tomas Hoger 2022-01-18 21:24:31 UTC
Public now via Oracle CPU January 2022:

https://www.oracle.com/security-alerts/cpujan2022.html#AppendixJAVA

Fixed in Oracle Java SE 17.0.2 and 11.0.14.

Comment 2 errata-xmlrpc 2022-01-19 09:12:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0161 https://access.redhat.com/errata/RHSA-2022:0161

Comment 7 errata-xmlrpc 2022-01-24 09:39:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:0233 https://access.redhat.com/errata/RHSA-2022:0233

Comment 8 errata-xmlrpc 2022-01-24 09:42:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:0209 https://access.redhat.com/errata/RHSA-2022:0209

Comment 9 errata-xmlrpc 2022-01-24 09:44:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0185 https://access.redhat.com/errata/RHSA-2022:0185

Comment 10 errata-xmlrpc 2022-01-24 09:47:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:0211 https://access.redhat.com/errata/RHSA-2022:0211

Comment 11 errata-xmlrpc 2022-01-24 10:11:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0204 https://access.redhat.com/errata/RHSA-2022:0204

Comment 12 errata-xmlrpc 2022-01-24 11:39:33 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 17.0.2

Via RHSA-2022:0166 https://access.redhat.com/errata/RHSA-2022:0166

Comment 13 errata-xmlrpc 2022-01-24 11:40:40 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 17.0.2

Via RHSA-2022:0165 https://access.redhat.com/errata/RHSA-2022:0165

Comment 14 errata-xmlrpc 2022-01-24 13:03:18 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 11.0.14

Via RHSA-2022:0228 https://access.redhat.com/errata/RHSA-2022:0228

Comment 15 errata-xmlrpc 2022-01-24 13:04:25 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 11.0.14

Via RHSA-2022:0229 https://access.redhat.com/errata/RHSA-2022:0229

Comment 16 Product Security DevOps Team 2022-01-24 14:00:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-21277


Note You need to log in before you can comment on or make changes to this bug.